The Open Group Base Specifications Issue 6
IEEE Std 1003.1, 2004 Edition
Copyright © 2001-2004 The IEEE and The Open Group, All Rights reserved.

#### NAME

> getwc - get a wide character from a stream

#### SYNOPSIS

> ``#include <stdio.h>
> #include <wchar.h>
> wint_t getwc(FILE *`stream`);
> ``

#### DESCRIPTION

> [CX] The functionality described on this reference page is aligned with the ISO C standard. Any conflict between the requirements described here and the ISO C standard is unintentional. This volume of IEEE Std 1003.1-2001 defers to the ISO C standard.

> The getwc() function shall be equivalent to fgetwc(), except that if it is implemented as a macro it may evaluate stream more than once, so the argument should never be an expression with side effects.

#### RETURN VALUE

> Refer to fgetwc().

#### ERRORS

> Refer to fgetwc().

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> Since it may be implemented as a macro, getwc() may treat incorrectly a stream argument with side effects. In particular, getwc(*f++) does not necessarily work as expected. Therefore, use of this function is not recommended; fgetwc() should be used instead.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> fgetwc(), the Base Definitions volume of IEEE Std 1003.1-2001, <stdio.h>, <wchar.h>

#### CHANGE HISTORY

> First released as a World-wide Portability Interface in Issue 4. Derived from the MSE working draft.

#### Issue 5

> The Optional Header (OH) marking is removed from <stdio.h>.

End of informative text.

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
[ Main Index | XBD | XCU | XSH | XRAT ]